#### Previous topic

scipy.misc.source

#### Next topic

Multi-dimensional image processing (`scipy.ndimage`)

# scipy.misc.who

`scipy.misc.``who`(vardict=None)

  Print the NumPy arrays in the given dictionary.

  If there is no dictionary passed in or vardict is None then returns NumPy arrays in the globals() dictionary (all NumPy arrays in the namespace).

  Parameters:

  vardict : dict, optional

  > A dictionary possibly containing ndarrays. Default is globals().

  Returns:

  out : None

  > Returns ‘None’.

  Notes

  Prints out the name, shape, bytes and type of all of the ndarrays present in vardict.

  Examples

      >>> a = np.arange(10)
      >>> b = np.ones(20)
      >>> np.who()
      Name            Shape            Bytes            Type
      ===========================================================
      a               10               40               int32
      b               20               160              float64
      Upper bound on total bytes  =       200

      >>> d = {'x': np.arange(2.0), 'y': np.arange(3.0), 'txt': 'Some str',
      ... 'idx':5}
      >>> np.who(d)
      Name            Shape            Bytes            Type
      ===========================================================
      y               3                24               float64
      x               2                16               float64
      Upper bound on total bytes  =       40